/*
*******************************************************************************************
**					NAVAL AIR WARFARE CENTER AIRCRAFT DIVISION (NAWCAD)
**					Test and Training Programs Division 5.1.3.3
**					23029 Cedar Point Rd, Building 2611
**					Patuxent River, MD	20670
**
**	Name:			BC635PCIinfo.c
**	Title:			Datum bc635pic device driver
**
**  Descripttion:	LynxOS Device Driver for 
**					DATUM BC635 PCI Time and Frequency Processor
**					Template for a Device Information Declaration for a 
**					Null Character Device Driver.
**
**  
**	------------------------------------------------------------------------
**	This file creates an instance of a device information declaration.
**	Upon installation of the device driver, this data must be passed to the 
**	driver.  Compile and link this program, then execute it on a LynxOS
**	target redirecting output to a file.  
**	gcc -o BC635PCIinfo  BC635PCIinfo.c  > drvrinfo
**	Then use this later to install the device with a command like:
**	devinstall -c -d <driver_id> drvinfo
**	Make driver device node with:  mknod /dev/template c <device_id> 0
**	------------------------------------------------------------------------
**
**  History:
**
**	-- DATE --	-- Name --	--------- Description -------------------------------------
**	22 OCT 01	TJ Lanzi	MS Visual Studio workspace/project created for LynxOS device
**							driver - 
**
*******************************************************************************************
*/


// INCLUDE FILES
#include "BC635PCIinfo.h"

struct bc635pci_devinfo		BC635pci_info = {
								BC_PCI_DEFAULT_VENDOR_ID,
								BC_PCI_DEFAULT_DEVICE_ID,
								TOP_DPRAM };

main()
{

  write(1, (struct bc635pci_devinfo *)&BC635pci_info, sizeof(struct bc635pci_devinfo));
}
